Subject: Re: 1.3.9: rsync daemon 2.5.1 broken
From: Pat <[email-masked]>
To: David Starks-Browning <[email-masked]>
Cc: [email-masked]
Date: Fri, 8 Feb 2002 14:59:43 -0600

On Thu, Feb 07, 2002 at 07:40:34PM +0000, David Starks-Browning wrote:
> 
> >From the rsync man page:
> 
>        --modify-window
>               When  comparing  two  timestamps  rsync  treats the
>               timestamps as being equal if they  are  within  the
>               value  of modify_window. This is normally zero, but
>               you may find it useful to  set  this  to  a  larger
>               value  in  some  situations.  In  particular,  when
>               transferring to/from FAT filesystems  which  cannot
>               represent  times  with  a  1 second resolution this
>               option is useful.
> 
> Try --modify-window=2.  Let us know if that's the right solution.

I have done the following:

- Added -modify-window=10 (also tried 2) to both the client and server process.
- Limited attributes to only time (no owner, group, etc.)
- run the cygwin daemon with --no-detach

I also found all instances of directories who's names differed only by
case and removed them.

Still... rsync copies files for no apparent reason.  I cannot understand it.
Some of the files seem to appear repeatedly, but I believe some are new each 
time.

Here is the tail of an example output, the second time in a row that it ran:

  wrote 63568758 bytes  read 100388 bytes  67769.18 bytes/sec
  total size is 6100714293  speedup is 95.82
  rsync error: partial transfer (code 23) at main.c(576)

I don't know if the error holds a clue.  It seemed to complete ok.

Again, I'm using the latest rsync, copying from Solaris to Win98se with
the latest cygwin.

Any ideas?

Thanks,
Pat

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/